package com.mcwl.communityCenter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mcwl.communityCenter.domain.Invite;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import javax.validation.constraints.NotNull;
import java.util.Set;

@Mapper
public interface InviteMapper extends BaseMapper<Invite> {
    Set<Long> selectInviteIds(@NotNull(message = "租户id不能为空")
                              @Param("tenantId")
                              Long tenantId,
                              @NotNull(message = "社区id不能为空")
                              @Param("communityId")
                              Long communityId);
}
